API / Reference / Purchase Orders
Close purchase order
POST
https://api.light.inc/v1/purchase-orders/{purchaseOrderId}/close
Closes a purchase order
Authorization
Send one of these on every request. See Authentication for how to get credentials.
- API key
Basic authentication header of the form Basic <api_key>, where <api_key> is your api key.
- Bearer token
Path parameters
-
purchaseOrderIdstring · uuidrequired
Response
-
idstring · uuid -
companyIdstring · uuid -
createdBystring · uuid -
companyEntityIdstring · uuid -
purchaseRequestIdstring · uuid -
statestring⚠️ This enum is not exhaustive; new values may be added in the future.
One of
IN_DRAFTRESET_PENDINGAPPROVED_ACCOUNTING_ENTRY_PENDINGOPENCLOSE_PENDINGCLOSEDCANCEL_PENDINGCANCELLED -
totalAmountinteger · int64 -
totalNetAmountinteger · int64 -
totalTaxAmountinteger · int64 -
erpNumberstring -
descriptionstring -
currencystring -
ownerIdstring · uuid -
vendorIdstring · uuid -
vendorEmailstring -
deliveryAddressstring -
deliveryDatestring · date -
documentKeystring -
failureContextobjectFailure context when vendor onboarding fails.
-
namestringThe error name
-
typestringThe error type
⚠️ This enum is not exhaustive; new values may be added in the future.
One of
BAD_REQUESTUNAUTHORIZEDFORBIDDENNOT_FOUNDCONFLICTUNPROCESSABLE_CONTENT -
errorsarray of objectList of errors providing details about what went wrong
-
typestringA string code identifying the error type
-
messagestringA human-readable message providing more details about the error
-
patharray of stringOptional path of the error when the error is for a specific field. Used mostly on BAD_REQUEST errors, that path will match the field name on the request object
-
contextobjectOptional context providing additional information about the error. This can include any relevant data that might help in understanding or resolving the error
-
-
-
editStatusstring⚠️ This enum is not exhaustive; new values may be added in the future.
One of
ALL_EDITS_ALLOWEDALL_EDITS_LOCKEDCORE_EDITS_LOCKED -
purchaseOrderDatestring · date -
erpSyncedAtstring · date-time -
lockedAtstring · date-time -
closedAtstring · date-time -
cancelledAtstring · date-time -
createdAtstring · date-time -
updatedAtstring · date-time -
linesarray of object-
idstring · uuid -
companyIdstring · uuid -
purchaseOrderIdstring · uuid -
descriptionstring -
costCenterIdstring · uuid -
accountIdstring · uuid -
taxCodeIdstring · uuid -
quantitynumber -
unitPriceinteger · int64 -
amountinteger · int64 -
netAmountinteger · int64 -
createdAtstring · date-time -
updatedAtstring · date-time -
customPropertiesarray of object-
groupIdstring · uuidID of the custom property group
-
groupInternalNamestringInternal name of the custom property group
-
valuesarray of objectList of values. Note that this will be a single value unless the group input type supports multiple values
-
idstring · uuidUnique identifier for the object
-
groupIdstring · uuidID of the custom property group
-
groupInternalNamestringInternal name of the custom property group
-
companyIdstring · uuidID of the company
-
internalNamestringInternal name of the custom property value
-
labelstringLabel of the custom property value
-
contextstringContext/description of the custom property value
-
createdAtstring · date-timeTimestamp when the custom property value was created
-
updatedAtstring · date-timeTimestamp when the custom property value was last updated
-
-
-
-
customPropertiesarray of object-
groupIdstring · uuidID of the custom property group
-
groupInternalNamestringInternal name of the custom property group
-
valuesarray of objectList of values. Note that this will be a single value unless the group input type supports multiple values
-
idstring · uuidUnique identifier for the object
-
groupIdstring · uuidID of the custom property group
-
groupInternalNamestringInternal name of the custom property group
-
companyIdstring · uuidID of the company
-
internalNamestringInternal name of the custom property value
-
labelstringLabel of the custom property value
-
contextstringContext/description of the custom property value
-
createdAtstring · date-timeTimestamp when the custom property value was created
-
updatedAtstring · date-timeTimestamp when the custom property value was last updated
-
-